# Class LineBackgroundEvent

java.lang.Object
java.util.EventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.custom.LineBackgroundEvent

All Implemented Interfaces:
  `Serializable`

public class LineBackgroundEvent extends TypedEvent
This event is sent when a line is about to be drawn.

See Also:
  - Sample code and further information
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Color`
`lineBackground`
line background color
`int`
`lineOffset`
line start offset
`String`
`lineText`
line text

### Fields inherited from class TypedEvent

`data, display, time, widget`

### Fields inherited from class EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`LineBackgroundEvent(org.eclipse.swt.custom.StyledTextEvent e)`
Constructs a new instance of this class based on the information in the given event.

## Method Summary

### Methods inherited from class TypedEvent

`toString`

### Methods inherited from class EventObject

`getSource`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### lineOffset

public int lineOffset
line start offset

### lineText

public String lineText
line text

### lineBackground

public Color lineBackground
line background color

## Constructor Details

### LineBackgroundEvent

public LineBackgroundEvent(org.eclipse.swt.custom.StyledTextEvent e)
Constructs a new instance of this class based on the information in the given event.

Parameters:
  `e` - the event containing the information